Generates the storage destination path (bucket and blob) for file upload
Request
Body Params application/jsonRequired
{
"nationalRegister": "12345678000195",
"processUniqueId": "bb0c892a-9695-414d-966b-c3cd66959067",
"type": "NFE",
"fileName": "documento_nfe.xml",
"force": false
}
Request Code Samples
curl --location --request POST 'https://hom.roit.ai/roit-data-integration/v1/data/generate-upload-path' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data-raw '{
"nationalRegister": "12345678000195",
"processUniqueId": "bb0c892a-9695-414d-966b-c3cd66959067",
"type": "NFE",
"fileName": "documento_nfe.xml",
"force": false
}'
Responses
application/json
Upload path generated successfully
{
"status": "success",
"message": "Upload path generated successfully",
"data": {
"bucket": "my-upload-bucket",
"blobPath": "bb0c892a-9695-414d-966b-c3cd66959067/12345678000195/NFE/documento_nfe.xml",
"fileName": "documento_nfe.xml",
"processUniqueId": "bb0c892a-9695-414d-966b-c3cd66959067"
}
}
Modified at 2026-04-02 20:52:38